Skip to navigation

Pre Encounter Images V 1 Get Multi

Searches for images that match the query parameters.

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Query parameters

patient_idstringOptional
coverage_idstringOptional
file_typestringOptional
patient_notesstringOptional
sort_fieldenumOptional
The field to order by. Defaults to updatedAt.
Allowed values:
sort_directionenumOptional
The direction to order by. Defaults to desc.
Allowed values:

Response

deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
display_namestring
file_namestring
file_typestring
idstring
The unique identifier for an Image
organization_idstring
The organization that owns this object.
signed_urlstring
A signed URL to the image. This url can be used to upload an image to GCP storage or to read the image contents.
statusenum
Allowed values:
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
coverageobject or nullOptional
An association to a Coverage.
patientobject or nullOptional
An association to a Patient.